package com.api.gdjt.web;

package ..deTemp.1743073918602;

import com.alibaba.fastjson.JSON;
import com.weaver.general.BaseBean;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import weaver.conn.RecordSet;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

@Path("/gdjt")
public class PersonnelCardAction {
  private BaseBean log = new BaseBean();
  
  @POST
  @Path("/getPersonnelInfo")
  @Produces({"text/plain;charset=UTF-8"})
  public String getPersonnelInfo(@Context HttpServletRequest request, @Context HttpServletResponse response) throws Exception {
    Map<String, Object> resultMap = new HashMap<>();
    Map<String, String> dataMap = new HashMap<>();
    User user = HrmUserVarify.getUser(request, response);
    String userId = String.valueOf(user.getUID());
    RecordSet rs = new RecordSet();
    rs.executeQuery("select h1.lastname,h1.workcode,h1.certificatenum,h3.subcompanyname,h2.departmentname,h4.jobtitlename,h4.jobactivityid,h1.jobactivitydesc,h1.companystartdate,h5.lastname as managername from HrmResource h1 left join HrmDepartment h2 on h1.departmentid = h2.id left join HrmSubCompany h3 on h1.subcompanyid1 = h3.id left join Hrmjobtitles h4 on h1.jobtitle = h4.id left join HrmResource h5 on h1.managerid = h5.id where h1.id = ?", new Object[] { userId });
    if (rs.next()) {
      dataMap.put("lastname", rs.getString("lastname"));
      dataMap.put("workcode", rs.getString("workcode"));
      dataMap.put("subcompanyname", rs.getString("subcompanyname"));
      dataMap.put("departmentname", rs.getString("departmentname"));
      dataMap.put("jobtitlename", rs.getString("jobtitlename"));
      dataMap.put("jobactivitydesc", rs.getString("jobactivitydesc"));
      dataMap.put("companystartdate", rs.getString("companystartdate"));
      dataMap.put("managername", rs.getString("managername"));
      dataMap.put("idcard", rs.getString("certificatenum"));
      String jobactivityid = rs.getString("jobactivityid");
      if (jobactivityid != null && !"".equals(jobactivityid)) {
        rs.executeQuery("select jobactivityname from HrmJobActivities where id=?", new Object[] { jobactivityid });
        if (rs.next())
          dataMap.put("jobactivitydesc", rs.getString("jobactivityname")); 
      } 
    } 
    resultMap.put("data", dataMap);
    resultMap.put("status", Boolean.valueOf(true));
    return JSON.toJSONString(resultMap);
  }
}
